Upstream information

CVE-2013-1926 at MITRE

Description

The IcedTea-Web plugin before 1.2.3 and 1.3.x before 1.3.2 uses the same class loader for applets with the same codebase path but from different domains, which allows remote attackers to obtain sensitive information or possibly alter other applets via a crafted applet.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 815596 [RESOLVED / FIXED], 818768 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • icedtea-web >= 1.4-0.5.1
Patchnames:
sledsp2-icedtea-web
SUSE Linux Enterprise Desktop 11 SP3
  • icedtea-web >= 1.4-0.10.1
Patchnames:
sledsp3-icedtea-web
SUSE Linux Enterprise Desktop 12 SP1
  • java-1_7_0-openjdk-plugin >= 1.6.1-2.3.1
  • java-1_8_0-openjdk-plugin >= 1.6.1-2.4.21
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA java-1_7_0-openjdk-plugin-1.6.1-2.3.1
SUSE Linux Enterprise Workstation Extension 12 SP1 GA java-1_7_0-openjdk-plugin-1.6.1-2.3.1
SUSE Linux Enterprise Desktop 12 SP2
  • java-1_7_0-openjdk-plugin >= 1.6.1-2.3.1
  • java-1_8_0-openjdk-plugin >= 1.6.1-2.4.21
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA java-1_7_0-openjdk-plugin-1.6.1-2.3.1
SUSE Linux Enterprise Workstation Extension 12 SP2 GA java-1_7_0-openjdk-plugin-1.6.1-2.3.1
SUSE Linux Enterprise Desktop 12 SP3
  • java-1_7_0-openjdk-plugin >= 1.6.2-2.8.3
  • java-1_8_0-openjdk-plugin >= 1.6.2-2.10.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Workstation Extension 12 SP3 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Desktop 12 SP4
  • java-1_7_0-openjdk-plugin >= 1.6.2-2.8.3
  • java-1_8_0-openjdk-plugin >= 1.6.2-2.10.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Workstation Extension 12 SP4 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • java-1_7_0-openjdk-plugin >= 1.6.2-2.8.3
  • java-1_8_0-openjdk-plugin >= 1.6.2-2.10.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP5 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Desktop 12
  • java-1_7_0-openjdk-plugin >= 1.5.1-1.13
Patchnames:
SUSE Linux Enterprise Desktop 12 GA java-1_7_0-openjdk-plugin-1.5.1-1.13
SUSE Linux Enterprise Workstation Extension 12 GA java-1_7_0-openjdk-plugin-1.5.1-1.13
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
SUSE Linux Enterprise Workstation Extension 15
  • icedtea-web >= 1.7.1-1.48
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA icedtea-web-1.7.1-1.48
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Workstation Extension 12 SP1
  • java-1_7_0-openjdk-plugin >= 1.6.1-2.3.1
  • java-1_8_0-openjdk-plugin >= 1.6.1-2.4.21
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA java-1_7_0-openjdk-plugin-1.6.1-2.3.1
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Workstation Extension 12 SP2
  • java-1_7_0-openjdk-plugin >= 1.6.1-2.3.1
  • java-1_8_0-openjdk-plugin >= 1.6.1-2.4.21
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA java-1_7_0-openjdk-plugin-1.6.1-2.3.1
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Workstation Extension 12 SP3
  • java-1_7_0-openjdk-plugin >= 1.6.2-2.8.3
  • java-1_8_0-openjdk-plugin >= 1.6.2-2.10.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP4
  • java-1_7_0-openjdk-plugin >= 1.6.2-2.8.3
  • java-1_8_0-openjdk-plugin >= 1.6.2-2.10.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA java-1_7_0-openjdk-plugin-1.6.2-2.8.3
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Workstation Extension 12
  • java-1_7_0-openjdk-plugin >= 1.5.1-1.13
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA java-1_7_0-openjdk-plugin-1.5.1-1.13
openSUSE Leap 15.0
  • icedtea-web >= 1.7.1-lp150.1.22
Patchnames:
openSUSE Leap 15.0 GA icedtea-web-1.7.1-lp150.1.22
openSUSE Tumbleweed
  • icedtea-web-javadoc >= 1.6.2-3.3
  • java-1_7_0-openjdk-plugin >= 1.6.2-3.3
  • java-1_8_0-openjdk-plugin >= 1.6.2-3.3
Patchnames:
openSUSE Tumbleweed GA icedtea-web-javadoc-1.6.2-3.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 icedtea-web Released
SUSE Linux Enterprise Desktop 11 SP3 icedtea-web Released


SUSE Timeline for this CVE

CVE page created: Thu Jun 27 19:19:47 2013
CVE page last modified: Tue Oct 11 12:01:17 2022